## org.gnu.gdk
Class Visual

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gdk.Visual

public class Visual
extends GObject

Describes a particular video hardware display format. It includes information about the number of bits used for each color, the way the bits are translated into an RGB value for display, and the way the bits are stored in memory.

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`Visual(Handle handle)`

Method Summary
`protected static int` `gdk_visual_get_best_depth()`
`protected static int` `gdk_visual_get_best_type()`
`protected static Handle` `gdk_visual_get_best_with_both(int depth, int visualType)`
`protected static Handle` `gdk_visual_get_best_with_depth(int depth)`
`protected static Handle` `gdk_visual_get_best_with_type(int visualType)`
`protected static Handle` `gdk_visual_get_best()`
`protected static Handle` `gdk_visual_get_screen(Handle visual)`
`protected static Handle` `gdk_visual_get_system()`
`protected static int` `gdk_visual_get_type()`
`static int` `getBestDepth()` Get the best available depth for the default GDK display.
`static VisualType` `getBestVisualType()` Return the best available visual type (the one with the most colors) for the default GDK display.
`int` `getBitsPerRGB()`
`protected static int` `getBitsPerRgb(Handle obj)`
`int` `getBlueMask()`
`protected static int` `getBlueMask(Handle obj)`
`int` `getBluePrec()`
`protected static int` `getBluePrec(Handle obj)`
`int` `getBlueShift()`
`protected static int` `getBlueShift(Handle obj)`
`ByteOrder` `getByteOrder()`
`protected static int` `getByteOrder(Handle obj)`
`int` `getColormapSize()`
`protected static int` `getColormapSize(Handle obj)`
`int` `getDepth()`
`protected static int` `getDepth(Handle obj)`
`int` `getGreenMask()`
`protected static int` `getGreenMask(Handle obj)`
`int` `getGreenPrec()`
`protected static int` `getGreenPrec(Handle obj)`
`int` `getGreenShift()`
`protected static int` `getGreenShift(Handle obj)`
`int` `getRedMask()`
`protected static int` `getRedMask(Handle obj)`
`int` `getRedPrec()`
`protected static int` `getRedPrec(Handle obj)`
`int` `getRedShift()`
`protected static int` `getRedShift(Handle obj)`
`Screen` `getScreen()`
`static Visual` `getSystemVisual()` Get the default or system visual for the default GDK display.
`static Visual` `getVisual()` Get the visual with the most available colors for the default GDK display.
`static Visual` `getVisual(int depth)` Get the best visual with depth depth for the default GDK display.
`static Visual` `getVisual(int depth, VisualType vt)` Combines getVisual(int depth) and getVisual(VisualType vt).
`static Visual` `getVisual(VisualType vt)` Get the best visual of the given visual_type for the default GDK display.

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Visual

    public Visual(Handle handle)

Method Detail

### getBestDepth

    public static int getBestDepth()

  Get the best available depth for the default GDK display. "Best" means "largest," i.e. 32 preferred over 24 preferred over 8 bits per pixel.

### getBestVisualType

    public static VisualType getBestVisualType()

  Return the best available visual type (the one with the most colors) for the default GDK display.

### getSystemVisual

    public static Visual getSystemVisual()

  Get the default or system visual for the default GDK display. This is the visual for the root window of the display.

### getVisual

    public static Visual getVisual()

  Get the visual with the most available colors for the default GDK display.

### getVisual

    public static Visual getVisual(int depth)

  Get the best visual with depth depth for the default GDK display. Color visuals and visuals with mutable colormaps are preferred over grayscale or fixed-colormap visuals. NULL may be returned if no visual supports depth.

### getVisual

    public static Visual getVisual(VisualType vt)

  Get the best visual of the given visual_type for the default GDK display. Visuals with higher color depths are considered better. NULL may be returned if no visual has type visual_type.

### getVisual

    public static Visual getVisual(int depth,
                                   VisualType vt)

  Combines getVisual(int depth) and getVisual(VisualType vt).

### getDepth

    public int getDepth()

### getByteOrder

    public ByteOrder getByteOrder()

### getColormapSize

    public int getColormapSize()

### getBitsPerRGB

    public int getBitsPerRGB()

### getRedMask

    public int getRedMask()

### getRedShift

    public int getRedShift()

### getRedPrec

    public int getRedPrec()

### getGreenMask

    public int getGreenMask()

### getGreenShift

    public int getGreenShift()

### getGreenPrec

    public int getGreenPrec()

### getBlueMask

    public int getBlueMask()

### getBlueShift

    public int getBlueShift()

### getBluePrec

    public int getBluePrec()

### getScreen

    public Screen getScreen()

### getDepth

    protected static final int getDepth(Handle obj)

### getByteOrder

    protected static final int getByteOrder(Handle obj)

### getColormapSize

    protected static final int getColormapSize(Handle obj)

### getBitsPerRgb

    protected static final int getBitsPerRgb(Handle obj)

### getRedMask

    protected static final int getRedMask(Handle obj)

### getRedShift

    protected static final int getRedShift(Handle obj)

### getRedPrec

    protected static final int getRedPrec(Handle obj)

### getGreenMask

    protected static final int getGreenMask(Handle obj)

### getGreenShift

    protected static final int getGreenShift(Handle obj)

### getGreenPrec

    protected static final int getGreenPrec(Handle obj)

### getBlueMask

    protected static final int getBlueMask(Handle obj)

### getBlueShift

    protected static final int getBlueShift(Handle obj)

### getBluePrec

    protected static final int getBluePrec(Handle obj)

### gdk_visual_get_type

    protected static final int gdk_visual_get_type()

### gdk_visual_get_best_depth

    protected static final int gdk_visual_get_best_depth()

### gdk_visual_get_best_type

    protected static final int gdk_visual_get_best_type()

### gdk_visual_get_system

    protected static final Handle gdk_visual_get_system()

### gdk_visual_get_best

    protected static final Handle gdk_visual_get_best()

### gdk_visual_get_best_with_depth

    protected static final Handle gdk_visual_get_best_with_depth(int depth)

### gdk_visual_get_best_with_type

    protected static final Handle gdk_visual_get_best_with_type(int visualType)

### gdk_visual_get_best_with_both

    protected static final Handle gdk_visual_get_best_with_both(int depth,
                                                                int visualType)

### gdk_visual_get_screen

    protected static final Handle gdk_visual_get_screen(Handle visual)